Accept New User Invite

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Accepts the user invitation and provisions the user. The user's email will be marked as verified if it matches the email address used to send the invite.

Several responses can be returned from this API. Please refer to the result response field description to see the different types of responses that can be returned.

Required Permissions

Below is the list of required permissions needed to interact with this API. For each permission, the allowed permission boundaries are also specified.

PermissionBoundaryDescription
new-user-invitation-workflow:executeApplicationThe subject can perform this operation for requests associated with the application to which the subject belongs.
Body Params

Accept New User Invite Request JSON object

Object representing a request to complete a new user invitation workflow for a user.

string
length ≥ 1

[Conditionally Required] The email auth code that will be used to authorize the request.

Required Conditions:

  • This value is only required for invitations of type EMAIL. If an inviteCode is specified then this value must be null.
string
length ≥ 1

[Conditionally Required] The invite code that will be used to authorize the request.

Required Conditions:

  • This value is only required for invitations of type LINK. If an emailAuthCode is specified then this value must be null.
string
length between 1 and 200

[Conditionally Required] The user's primary email.

Required Conditions:

  • This value is only required for invitations of type LINK. The email must be unique per IdP and tenant.
string
length between 1 and 200

[Conditionally Required] Username used for authenticating a user. Must be unique per IdP and tenant.

Required Conditions:

  • This value is required if the Wristband IdP has both username and email configured as login identifiers.
password
length ≥ 1

[Conditionally Required] The new password associated to the user who is accepting the invitation.

Required Conditions:

  • This is required if the user is being provisioned to the Wristband IdP and password login factor is enabled.
string
length between 1 and 200

[Conditionally Required] The user's whole name, including their given name and surname, and sometimes any middle names, prefixes, or suffixes.

Required Conditions:

  • This value is required if the tenant's resolved user schema has full name set as required.
string
length between 1 and 200

[Conditionally Required] The given name, or first name in most Western languages.

Required Conditions:

  • This value is required if the tenant's resolved user schema has given name set as required.
string
length between 1 and 200

[Conditionally Required] The family name, or last name in most Western languages.

Required Conditions:

  • This value is required if the tenant's resolved user schema has family name set as required.
string
length between 1 and 16

[Conditionally Required] The user's phone number in E.164 international format.

Required Conditions:

  • This value is required if the tenant's resolved user schema has phone number set as required.
date
length between 1 and 10

[Conditionally Required] The user's birthdate.

Required Conditions:

  • This value is required if the tenant's resolved user schema has birthdate set as required.
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json